Subject: Re: [PATCH 1/2] Fixing vmx-crypto AES-CTR counter bug

From: Leonidas S Barbosa <[email-masked]>
Date: Fri, 21 Aug 2015 17:15:24 -0300

On Fri, Aug 21, 2015 at 03:19:18PM -0400, Paul Gortmaker wrote:
> On Fri, Aug 14, 2015 at 9:12 AM, Leonidas S Barbosa
> <[email-masked]> wrote:
> > AES-CTR is using a counter 8bytes-8bytes what miss match with
> > kernel specs.
> >
> > In the previous code a vadduwm was done to increment counter.
> > Replacing this for a vadduqm now considering both cases counter
> > 8-8 bytes and full 16bytes.
> 
> Seems this breaks ppc allmodconfig:
> 
> drivers/crypto/vmx/aesp8-ppc.S:1545: Error: Unrecognized opcode: `vadduqm'

Thanks for report,

I could not reproduce this issue, but I believe it's a opcode map error
on ppc-xlate.pl. Sending a patch followed by this email you CCed.